## bsdmainutils 11.1.2ubuntu1

=== usr.bin/calendar/Makefile ===
PROG = calendar
SRC  = calendar.c io.c day.c ostern.c paskha.c pesach.c
LIBS = -lbsd
FLAGS = -include sys/uio.h -include bsd/stdlib.h

topdir=../..
include $(topdir)/config.mk

=== usr.bin/col/Makefile ===
PROG = col
LIBS += -lbsd
FLAGS = -D_GNU_SOURCE -include limits.h -include bsd/stdlib.h

topdir=../..
include $(topdir)/config.mk

=== usr.bin/look/Makefile ===
PROG = look
LIBS += -lbsd
FLAGS = -include bsd/err.h -DSIZE_T_MAX=INT_MAX

topdir=../..
include $(topdir)/config.mk

=== usr.bin/ncal/Makefile ===
PROG   = ncal
SRC    = ncal.c calendar.c easter.c
FLAGS  = -D_GNU_SOURCE -include bsd/string.h

LIBS  += -ltinfo -lbsd

topdir=../..
include $(topdir)/config.mk

install-2:
	(cd $(bindir); ln -sf ncal cal)
	(cd $(mandir); ln -sf ncal.1 cal.1)

=== usr.bin/ul/Makefile ===
PROG     = ul
LIBS	+= -ltinfo
FLAGS	= -D_GNU_SOURCE -include strings.h

topdir=../..
include $(topdir)/config.mk

=== usr.bin/write/Makefile ===
PROG = bsd-write
MAN = write.1
LIBS += -lbsd
FLAGS = -include fcntl.h -include time.h -include bsd/string.h 

topdir=../..
include $(topdir)/config.mk

bsd-write.o: write.c
	$(CC) -include $(topdir)/freebsd.h $(FLAGS) $(CFLAGS) -c -o $@ $<

install-2:
	chown root:tty $(bindir)/$(PROG)
	chmod 2755 $(bindir)/$(PROG)
	mv $(mandir)/write.1 $(mandir)/bsd-write.1

=== debian/changelog ===
bsdmainutils (11.1.2ubuntu1) bionic; urgency=medium

  * Merge from Debian unstable.  Remaining changes:
    - Fix ncal on big-endian platforms.
    - Build-depend on python:any rather than python.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Wed, 17 Jan 2018 11:27:24 +0000

bsdmainutils (11.1.2) unstable; urgency=medium

  * Switch build dependency back from libtinfo to libncurses. (Closes: #885622)

 -- Michael Meskes <meskes@debian.org>  Fri, 29 Dec 2017 10:26:58 +0100

bsdmainutils (11.1.1) unstable; urgency=medium

  * Update to latest FreeBSD/OpenBSD versions.
  * Do not explicitly set dpkg-architecture variables.
  * Fix dependency to reference the library that is really needed.
  * Removed Giacomo from uploaders by his own request.
  * Bumped Standards-Version to 4.1.2, no changes needed.

 -- Michael Meskes <meskes@debian.org>  Wed, 27 Dec 2017 13:51:13 +0100

=== debian/control ===
Source: bsdmainutils
Section: utils
Priority: important
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Bsdmainutils Team <pkg-bsdmainutils@teams.debian.net>
Uploaders: Michael Meskes <meskes@debian.org>
Build-Depends: debhelper (>= 9), libncurses-dev, quilt (>= 0.40), python:native, python-hdate:native, libbsd-dev
Standards-Version: 4.1.2
Vcs-Git: git://anonscm.debian.org/bsdmainutils/bsdmainutils.git
Vcs-Browser: https://anonscm.debian.org/gitweb/?p=bsdmainutils/bsdmainutils.git

Package: bsdmainutils
Architecture: any
Multi-Arch: foreign
Depends: ${shlibs:Depends}, ${misc:Depends}, bsdutils (>= 3.0-0), debianutils (>= 1.8)
Breaks: bsdutils (<< 1:2.13-11)
Suggests: cpp, wamerican | wordlist, whois, vacation
Description: collection of more utilities from FreeBSD
 This package contains lots of small programs many people expect to find when
 they use a BSD-style Unix system.
 .
 It provides banner (as printerbanner), calendar, col, colcrt, colrm, column,
 from (as bsd-from), hexdump (or hd), look, lorder, ncal (or cal), ul, and
 write (as bsd-write).
 .
 This package used to contain whois and vacation, which are now distributed in
 their own packages. Also here was tsort, which is now in the "coreutils"
 package.

=== debian/rules ===
#!/usr/bin/make -f

SHELL+= -e
#export DH_VERBOSE=1

include /usr/share/quilt/quilt.make

CFLAGS = `dpkg-buildflags --get CFLAGS`
CFLAGS += `dpkg-buildflags --get CPPFLAGS`
LDFLAGS = `dpkg-buildflags --get LDFLAGS`
export CFLAGS
export LDFLAGS

ifneq ($(DEB_HOST_GNU_TYPE),$(DEB_BUILD_GNU_TYPE))
	CROSS += "CC=$(DEB_HOST_GNU_TYPE)-gcc"
else
	CROSS +=
endif

build: build-arch build-indep
build-arch: build-stamp
build-indep: build-stamp
build-stamp: debian/stamp-patched
	dh_testdir
	$(MAKE) $(CROSS)
	currentyear=$(shell date --date="`dpkg-parsechangelog -S Date`" +%Y); \
	year=`expr $$currentyear + 5`; \
	while [ $${year} -ne $${currentyear} ] ; do \
	    year=`expr $$year - 1`; \
	    python $(CURDIR)/debian/calendarJudaic.py $$year > $(CURDIR)/debian/calendars/calendar.judaic.$$year; \
	done; \
	cd $(CURDIR)/debian/calendars; \
	[ -L calendar.judaic ] || ln -s calendar.judaic.$$year calendar.judaic;
	touch build-stamp

clean: unpatch
	dh_testdir
	$(MAKE) clean
	-rm -f $(CURDIR)/debian/calendars/calendar.judaic*
	-rm -f build-stamp
	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_installdirs
	$(MAKE) install DESTDIR=$(CURDIR)/debian/bsdmainutils

binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installdocs
	dh_installchangelogs
	dh_installcron
	dh_installinit
	dh_install
	dh_strip
	dh_compress
	dh_fixperms -Xbsd-write
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_installdeb
	dh_builddeb

binary-indep:

binary: binary-arch

.PHONY: binary binary-arch binary-indep clean build install

## bsdmainutils 11.1.2ubuntu2

=== debian/changelog ===
bsdmainutils (11.1.2ubuntu2) cosmic; urgency=medium

  * No-change rebuild for ncurses soname changes.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 03 May 2018 14:13:42 +0000

## bsdmainutils 11.1.2ubuntu3

=== usr.bin/banner/Makefile ===
PROG = banner
SRC = banner.c
MAN = banner.6
LIBS += -lbsd
FLAGS = -include bsd/string.h

topdir=../..
include $(topdir)/config.mk

install-2:
	mv $(mandir)/banner.6 $(mandir)/printerbanner.1
	mv $(bindir)/banner $(bindir)/printerbanner

=== usr.bin/colrm/Makefile ===
PROG = colrm
FLAGS = -D_GNU_SOURCE

topdir=../..
include $(topdir)/config.mk

=== usr.bin/column/Makefile ===
PROG = column
FLAGS = -D_GNU_SOURCE

topdir=../..
include $(topdir)/config.mk

=== usr.bin/hexdump/Makefile ===
FLAGS = -D_GNU_SOURCE -D_LARGEFILE_SOURCE -D_FILE_OFFSET_BITS=64 -include bsd/string.h 
LIBS += -lbsd

PROG = hexdump
SRC  = conv.c display.c hexdump.c hexsyntax.c odsyntax.c parse.c

topdir=../..
include $(topdir)/config.mk

install-2:
	(cd $(bindir); ln -sf hexdump hd)
	(cd $(mandir); ln -sf hexdump.1 hd.1)

=== debian/changelog ===
bsdmainutils (11.1.2ubuntu3) focal; urgency=medium

  [ Andreas Henriksson ]
  * Non-maintainer upload.
  * Use 2to3 to convert debian/calendarJudaic.py to python3
  * debian/rules: invoke calendarJudaic.py using python3
  * debian/control: switch build-deps to python3{,-hdate}.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 30 Mar 2020 11:26:14 +0200

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: Debian Bsdmainutils Team <pkg-bsdmainutils@teams.debian.net>
 Uploaders: Michael Meskes <meskes@debian.org>
-Build-Depends: debhelper (>= 9), libncurses-dev, quilt (>= 0.40), python:native, python-hdate:native, libbsd-dev
+Build-Depends: debhelper (>= 9), libncurses-dev, quilt (>= 0.40), python3:native, python3-hdate:native, libbsd-dev
 Standards-Version: 4.1.2
 Vcs-Git: git://anonscm.debian.org/bsdmainutils/bsdmainutils.git
 Vcs-Browser: https://anonscm.debian.org/gitweb/?p=bsdmainutils/bsdmainutils.git

=== debian/rules ===
--- 
+++ 
@@ -27,7 +27,7 @@
 	year=`expr $$currentyear + 5`; \
 	while [ $${year} -ne $${currentyear} ] ; do \
 	    year=`expr $$year - 1`; \
-	    python $(CURDIR)/debian/calendarJudaic.py $$year > $(CURDIR)/debian/calendars/calendar.judaic.$$year; \
+	    python3 $(CURDIR)/debian/calendarJudaic.py $$year > $(CURDIR)/debian/calendars/calendar.judaic.$$year; \
 	done; \
 	cd $(CURDIR)/debian/calendars; \
 	[ -L calendar.judaic ] || ln -s calendar.judaic.$$year calendar.judaic;

## bsdmainutils 11.1.2.4

=== usr.bin/colcrt/Makefile ===
PROG = colcrt
FLAGS = -D_GNU_SOURCE

topdir=../..
include $(topdir)/config.mk

=== debian/changelog ===
bsdmainutils (11.1.2.4-1+rebuild) unstable; urgency=low

  * ['Autobuild release-candidate: 2d0ad7da299924c7b61455ae24d00a6cd4ef1a44']

 -- shuttle <shuttle@deepin.com>  Thu, 19 Dec 2019 21:55:05 +0000

=== debian/control ===
--- 
+++ 
@@ -1,10 +1,9 @@
 Source: bsdmainutils
 Section: utils
 Priority: important
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Bsdmainutils Team <pkg-bsdmainutils@teams.debian.net>
+Maintainer: Debian Bsdmainutils Team <pkg-bsdmainutils@teams.debian.net>
 Uploaders: Michael Meskes <meskes@debian.org>
-Build-Depends: debhelper (>= 9), libncurses-dev, quilt (>= 0.40), python3:native, python3-hdate:native, libbsd-dev
+Build-Depends: debhelper (>= 9), libncurses-dev, quilt (>= 0.40), python:native, python-hdate:native, libbsd-dev
 Standards-Version: 4.1.2
 Vcs-Git: git://anonscm.debian.org/bsdmainutils/bsdmainutils.git
 Vcs-Browser: https://anonscm.debian.org/gitweb/?p=bsdmainutils/bsdmainutils.git

## bsdmainutils 12.1.7

=== debian/changelog ===
bsdmainutils (12.1.7) unstable; urgency=medium

  * Fix broken locale for Russian calendars. (Closes: #930736, #945252)
  * Fix Russian name.
    Thanks to sergio <sergio+it@outerface.net>
  * Mark bsdmainutils Multi-Arch: foreign again (Closes: #966818)
  * Do not include Russian calendars in calendar.all because they only work
    with the correct locale.
  * Fixed week number calculation and added option to manually define when the
    first week of the year starts.
  * Added patch to check year argument for option '-d'.

 -- Michael Meskes <meskes@debian.org>  Tue, 04 Aug 2020 13:49:06 +0200

bsdmainutils (12.1.6) unstable; urgency=medium

  * Fix version check that was too optimistic. (Closes: #965202)
  * Mention transitional status in short description. (Closes: #965203)
  * Fixed backward mode to correctly calculate switch to Gregorian calendar.
    (Closes: #945059, #961366)
  * Do not list removed option on manpage. (Closes: #919099)
  * Cal should not highlight the current day. (Closes: #904839)

 -- Michael Meskes <meskes@debian.org>  Thu, 23 Jul 2020 14:53:53 +0200

bsdmainutils (12.1.5) unstable; urgency=medium

  * Source only upload. (Closes: #965014)

 -- Michael Meskes <meskes@debian.org>  Tue, 14 Jul 2020 15:42:14 +0200

bsdmainutils (12.1.4) unstable; urgency=medium

  * Re-added libncurses-dev built dependency that was lost during the
    transition.
    (Closes: #964309)
  * Fix config file handling. (Closes: #964389)
  * Add patch to calendar to cleanup after fork(). (Closes: #946726)

 -- Michael Meskes <meskes@debian.org>  Tue, 14 Jul 2020 15:42:07 +0200

bsdmainutils (12.1.3) unstable; urgency=medium

  * Move (n)cal to its own package.
  * Remove (printer)banner, from, look, lorder, and write programs.
  * Change to full debhelper build system.
  * Make bsdmainutils a transitional package.
  * Fix incorrectly created cron file. (Closes: #963178)

 -- Michael Meskes <meskes@debian.org>  Thu, 25 Jun 2020 20:02:39 +0200

bsdmainutils (12.1.2) unstable; urgency=medium

  [ Michael Meskes ]
  * Move to source format 3.0.
  * Use correctly named default file. (Closes: #963178)
  * Enabled hardening options.

  [ Gianfranco Costamagna ]
  * Add more Ubuntu dates to the calendar
  * Add more Debian dates to the calendar
  * Add patch from Ubuntu to fix 1st day of the week on Big Endian systems
  * Update Breaks/Replaces to ensure smooth upgrades (Closes: #963177)

 -- Michael Meskes <meskes@debian.org>  Mon, 22 Jun 2020 12:42:08 +0200

bsdmainutils (12.1.1) unstable; urgency=medium

  [ Josh Triplett ]
  * Remove unexpanded '$Id$' tokens, unused since the transition to git
  * Split the "calendar" program and associated cron job into a separate
    "calendar" package. (Closes: #946384)

  [ Michael Meskes ]
  * Follow BSD and remove colcrt, it is only useful on very old terminals
    anyway.
  * Update to latest FreeBSD/OpenBSD versions.
  * Remove col, colrm, column, hexdump, and ul so they can be provided by the
    util-linux source package.
    (Closes: #175371, #602477, #613329, #885539, #893497, #905742, #908975,
     #922103, #955183, #961301)
  * Revert to pre-compiled Judaic calendars for the time being.
    (Closes: #925912, #936244)
  * Allow look to read big files.
    Thanks to Tomaž Šolc <tomaz.solc@tablix.org> (Closes: #893033)
  * Apply Andreas Henriksson's patch to convert calendarJudaic.py to python3,
    it cannot be used with python3-hdate removed, though.
  * Fix calendar manpage.
    Thanks to Bjarni Ingi Gislason <bjarniig@rhi.hi.is> (Closes: #899339)
  * Use the correct locale property for month name.
    Thanks to sergio <sergio@outerface.net> (Closes: #924668, #943757)
  * Updated Thai holidays in holiday calendar.
    Thanks to Theppitak Karoonboonyanan <theppitak@gmail.com> (Closes: #934804)

 -- Michael Meskes <meskes@debian.org>  Thu, 28 May 2020 11:17:53 +0200

=== debian/control ===
Source: bsdmainutils
Section: utils
Priority: optional
Maintainer: Debian Bsdmainutils Team <pkg-bsdmainutils@teams.debian.net>
Uploaders: Michael Meskes <meskes@debian.org>
Build-Depends: debhelper-compat (= 13), quilt (>= 0.40), libbsd-dev, libncurses-dev
Standards-Version: 4.5.0
Vcs-Browser: https://salsa.debian.org/meskes/bsdmainutils
Vcs-Git: https://salsa.debian.org/meskes/bsdmainutils.git
Rules-Requires-Root: no

Package: bsdmainutils
Architecture: all
Multi-Arch: foreign
Section: oldlibs
Depends: ${misc:Depends}, bsdutils (>= 3.0-0), debianutils (>= 1.8),
 bsdextrautils (>= 2.35.2-7), calendar, ncal
Suggests: whois, vacation, mailutils
Description: Transitional package for more utilities from FreeBSD
 This is a transitional package, it can be safely removed.

Package: ncal
Architecture: any
Multi-Arch: foreign
Depends: ${shlibs:Depends}, ${misc:Depends}
Breaks: bsdmainutils (<< 12.1.3)
Replaces: bsdmainutils (<< 12.1.3)
Description: display a calendar and the date of Easter
 This package contains the "ncal" program and the traditional "cal"
 program, both are commonly found on BSD-style systems. This utility displays a
 simple calendar in a traditional or an alternative and more advanced layout,
 and the date of Easter.

Package: calendar
Architecture: any
Multi-Arch: foreign
Depends: ${shlibs:Depends}, ${misc:Depends}, cpp
Breaks: bsdmainutils (<< 12.1.1)
Replaces: bsdmainutils (<< 12.1.1)
Description: display upcoming dates and provide reminders
 This package contains the "calendar" program commonly found on BSD-style
 systems, which displays upcoming relevant dates on a wide variety of
 calendars.

## bsdmainutils 12.1.7+nmu2

=== debian/changelog ===
bsdmainutils (12.1.7+nmu2) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix ISO week calculation (Closes: #976192), thanks to Kate for the
    initial patch.

 -- Uwe Kleine-König <ukleinek@debian.org>  Mon, 15 Feb 2021 11:31:35 +0100

bsdmainutils (12.1.7+nmu1) unstable; urgency=medium

  * Non-maintainer upload.
  * Downgrade Depends: calendar to Suggests, like in buster.
    (Closes: #981440)

 -- Chris Hofstaedtler <zeha@debian.org>  Mon, 08 Feb 2021 09:04:48 +0000

## bsdmainutils 12.1.7+nmu3

=== debian/changelog ===
bsdmainutils (12.1.7+nmu3) unstable; urgency=medium

  * Non-maintainer upload.
  * Remove obsolete /usr/bin/from alternative on upgrades.  (Closes: #984628)

 -- Andreas Beckmann <anbe@debian.org>  Tue, 23 Mar 2021 08:57:20 +0100

=== debian/control ===
--- 
+++ 
@@ -14,8 +14,8 @@
 Multi-Arch: foreign
 Section: oldlibs
 Depends: ${misc:Depends}, bsdutils (>= 3.0-0), debianutils (>= 1.8),
- bsdextrautils (>= 2.35.2-7), calendar, ncal
-Suggests: whois, vacation, mailutils
+ bsdextrautils (>= 2.35.2-7), ncal
+Suggests: calendar, whois, vacation, mailutils
 Description: Transitional package for more utilities from FreeBSD
  This is a transitional package, it can be safely removed.

=== debian/rules ===
#!/usr/bin/make -f

SHELL+= -e
#export DH_VERBOSE=1

export DEB_BUILD_MAINT_OPTIONS=hardening=+all
CFLAGS = `dpkg-buildflags --get CFLAGS`
CFLAGS += `dpkg-buildflags --get CPPFLAGS`
LDFLAGS = `dpkg-buildflags --get LDFLAGS`
export CFLAGS
export LDFLAGS

ifneq ($(DEB_HOST_GNU_TYPE),$(DEB_BUILD_GNU_TYPE))
	CROSS += "CC=$(DEB_HOST_GNU_TYPE)-gcc"
else
	CROSS +=
endif

%:
	dh ${@} --with quilt

override_dh_auto_build:
	dh_auto_build
	currentyear=$(shell date --date="`dpkg-parsechangelog -S Date`" +%Y); \
	cd $(CURDIR)/debian/calendars; \
	[ -L calendar.judaic ] || ln -s calendar.judaic.$$currentyear calendar.judaic;

override_dh_clean:
	-rm -f $(CURDIR)/debian/calendars/calendar.judaic
	dh_clean

## bsdmainutils 12.1.7+nmu3ubuntu1

=== debian/changelog ===
bsdmainutils (12.1.7+nmu3ubuntu1) impish; urgency=medium

  * Include the release date for hirsute.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Thu, 13 May 2021 11:26:52 -0700

## bsdmainutils 12.1.7+nmu3ubuntu2

=== debian/changelog ===
bsdmainutils (12.1.7+nmu3ubuntu2) jammy; urgency=medium

  * Include the release date for Impish Indri.

 -- Brian Murray <brian@ubuntu.com>  Fri, 28 Jan 2022 13:12:54 -0800

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: bsdmainutils
 Section: utils
 Priority: optional
-Maintainer: Debian Bsdmainutils Team <pkg-bsdmainutils@teams.debian.net>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Bsdmainutils Team <pkg-bsdmainutils@teams.debian.net>
 Uploaders: Michael Meskes <meskes@debian.org>
 Build-Depends: debhelper-compat (= 13), quilt (>= 0.40), libbsd-dev, libncurses-dev
 Standards-Version: 4.5.0

## bsdmainutils 12.1.8

=== Makefile ===
# Makefile for the new bsdmainutils

# what programs to build
BIN=$(wildcard usr.bin/*)

# used for building in the subdirectories
rmake=@set -e; for i in $(BIN); do $(MAKE) --no-print-directory -C $$i $(1); done

all: $(BIN)
	$(call rmake)

clean:
	$(call rmake,clean)

install: all
	mkdir -p $(DESTDIR)/usr/bin
	mkdir -p $(DESTDIR)/usr/share/man/man1

	$(call rmake,install)

dist: clean
	tar -czf ../`basename $(PWD)`.tar.gz -C .. --exclude .svn `basename $(PWD)`

.PHONY: all install clean

=== debian/changelog ===
bsdmainutils (12.1.8) unstable; urgency=medium

  * Drop root privileges before opening calendar files. (Closes: #998206)
  * Remove freebsd.h which is not really used in the compile process but is
    causing FTBFS on musl.
    (Closes: #989688)
  * Fixed unicode error in calendar file (Closes: #1030808)
  * Removed Ubuntu calendar (Closes: #1004751)
  * Bumped Standards-Version to 4.6.2, no changes needed.

 -- Michael Meskes <meskes@debian.org>  Mon, 20 Feb 2023 10:19:03 +0100

=== debian/control ===
--- 
+++ 
@@ -1,11 +1,10 @@
 Source: bsdmainutils
 Section: utils
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Bsdmainutils Team <pkg-bsdmainutils@teams.debian.net>
+Maintainer: Debian Bsdmainutils Team <pkg-bsdmainutils@teams.debian.net>
 Uploaders: Michael Meskes <meskes@debian.org>
 Build-Depends: debhelper-compat (= 13), quilt (>= 0.40), libbsd-dev, libncurses-dev
-Standards-Version: 4.5.0
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/meskes/bsdmainutils
 Vcs-Git: https://salsa.debian.org/meskes/bsdmainutils.git
 Rules-Requires-Root: no

## bsdmainutils 12.1.8build1

=== debian/changelog ===
bsdmainutils (12.1.8build1) resolute; urgency=medium

  * No-change mass rebuild for Ubuntu 26.04 (LP: #2132257)

 -- Graham Inggs <ginggs@ubuntu.com>  Tue, 09 Dec 2025 23:29:21 +0000
